using System.ComponentModel.DataAnnotations;

namespace BuecherwurmAPI.Models
{
    public class Book
    {
        public string Name {get; set;}
        public string Author {get; set;}
        public string Country {get; set;}
        public string Link {get; set;}
        public string Language {get; set;}
        public int Pages {get; set;}
        public int Year {get; set;}
        [Key]
        [Required]
        public int ProductId { get; set; }
        public CategoryEnum Category { get; set; }
        public string ImageLink { get; set; }
        public int LendTime {get; set;}
        public LendTypeEnum LendType {get; set;}
    }

}